package com.yem.wm.bc.common.enums;

/**
 * @author 夜子
 * @ClassName EnableStatusEnum
 * @description: 可用状态枚举
 * @date 2023年08月03日
 * @version: 1.0
 */
public enum EnableStatusEnum {
    ENABLE(new MultiLangEnumBridge("可用", "EnableStatusEnum_0", "yem-yc-common"), "1"),
    DISABLE(new MultiLangEnumBridge("禁用", "EnableStatusEnum_1", "yem-yc-common"), "0");

    private String value;
    private MultiLangEnumBridge bridge = null;

    private EnableStatusEnum(MultiLangEnumBridge bridge, String value) {
        this.bridge = bridge;
        this.value = value;
    }

    public String getName() {
        return this.bridge.loadKDString();
    }

    public String getValue() {
        return this.value;
    }

    public static String getName(String value) {
        String name = null;
        EnableStatusEnum[] var2 = values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            EnableStatusEnum status = var2[var4];
            if (value.equals(status.getValue())) {
                name = status.getName();
                break;
            }
        }

        return name;
    }
}
